Bug 181050 - program kudzu is using MAP_PRIVATE, PROT_WRITE mmap of VM_RESERVED memory
program kudzu is using MAP_PRIVATE, PROT_WRITE mmap of VM_RESERVED memory
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-12 07:06 EST by Robert Scheck
Modified: 2014-03-16 22:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-13 11:43:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-02-12 07:06:26 EST
Description of problem:
I just played around to see what happens when entering kudzu as root at the 
command line:

# kudzu
mmap /dev/mem: Permission denied
mmap /dev/mem: Permission denied
# 

Then I found the following in /var/log/messages:
kernel: program kudzu is using MAP_PRIVATE, PROT_WRITE mmap of VM_RESERVED 
memory, which is deprecated. Please report this to linux-kernel@vger.kernel.org

Is it a bug/problem in kudzu, is it kernel related or did I something forbidden 
with kudzu?

Version-Release number of selected component (if applicable):
kudzu-1.2.25-1
kernel-2.6.14-1.1697_FC5

How reproducible:
Everytime, see above.

Actual results:
Message in syslog.

Expected results:
No message in syslog ;-)

Additional info:
SELinux targeted is permissive; hardware environment is a HP ProLiant DL360 G3 
rack server (ServerWorks/Broadcom chipsets).
Comment 1 Bill Nottingham 2006-02-13 11:43:47 EST
It's related to temporary changes in the kernel around that timeframe - it
should be fixed with later kernels.

Note You need to log in before you can comment on or make changes to this bug.